package xiaoqu.home.open.model.db2;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 考勤记录
 * </p>
 *
 * @author wh
 * @since 2022-06-01
 */
@TableName("attendance_record")
@ApiModel(value="AttendanceRecord对象", description="考勤记录")
public class AttendanceRecord extends Model<AttendanceRecord> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "删除状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "用户ID")
    @TableField("user_id")
    private Long userId;

    @ApiModelProperty(value = "用户名")
    @TableField("user_name")
    private String userName;

    @ApiModelProperty(value = "手机号")
    @TableField("user_mobile")
    private String userMobile;

    @ApiModelProperty(value = "考勤日期")
    @TableField("attendance_date")
    private String attendanceDate;

    @ApiModelProperty(value = "打卡时间")
    @TableField("punch_time")
    private Date punchTime;

    @ApiModelProperty(value = "打卡位置")
    @TableField("punch_address")
    private String punchAddress;

    @ApiModelProperty(value = "打卡定位位置")
    @TableField("punch_position_address")
    private String punchPositionAddress;

    @ApiModelProperty(value = "GPS识别位置")
    @TableField("gps_position_address")
    private String gpsPositionAddress;

    @ApiModelProperty(value = "手表信息")
    @TableField("watch_info")
    private String watchInfo;

    @ApiModelProperty(value = "打卡信息")
    @TableField("punch_info")
    private String punchInfo;

    @ApiModelProperty(value = "打卡方式0:设备;1:信标")
    @TableField("punch_mode")
    private Integer punchMode;

    @ApiModelProperty(value = "打卡类型0:上班打卡;1:下班打卡")
    @TableField("punch_type")
    private Integer punchType;

    @ApiModelProperty(value = "打卡终端0:手机;1:手表")
    @TableField("punch_terminal")
    private Integer punchTerminal;

    @ApiModelProperty(value = "数据状态0:正常打卡;l:更新打卡;2:撤销打卡")
    @TableField("data_state")
    private Integer dataState;

    @ApiModelProperty(value = "操作时间")
    @TableField("operate_time")
    private Date operateTime;

    @ApiModelProperty(value = "所属站点")
    @TableField("district_name")
    private String districtName;

    @ApiModelProperty(value = "所属代理ID")
    @TableField("agent_id")
    private Long agentId;

    @ApiModelProperty(value = "所属物业ID")
    @TableField("property_id")
    private Long propertyId;

    @ApiModelProperty(value = "所属站点ID")
    @TableField("district_id")
    private Long districtId;

    @ApiModelProperty(value = "所属代理")
    @TableField("agent_name")
    private String agentName;

    @ApiModelProperty(value = "所属物业")
    @TableField("property_name")
    private String propertyName;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserMobile() {
        return userMobile;
    }

    public void setUserMobile(String userMobile) {
        this.userMobile = userMobile;
    }

    public String getAttendanceDate() {
        return attendanceDate;
    }

    public void setAttendanceDate(String attendanceDate) {
        this.attendanceDate = attendanceDate;
    }

    public Date getPunchTime() {
        return punchTime;
    }

    public void setPunchTime(Date punchTime) {
        this.punchTime = punchTime;
    }

    public String getPunchAddress() {
        return punchAddress;
    }

    public void setPunchAddress(String punchAddress) {
        this.punchAddress = punchAddress;
    }

    public String getPunchPositionAddress() {
        return punchPositionAddress;
    }

    public void setPunchPositionAddress(String punchPositionAddress) {
        this.punchPositionAddress = punchPositionAddress;
    }

    public String getGpsPositionAddress() {
        return gpsPositionAddress;
    }

    public void setGpsPositionAddress(String gpsPositionAddress) {
        this.gpsPositionAddress = gpsPositionAddress;
    }

    public String getWatchInfo() {
        return watchInfo;
    }

    public void setWatchInfo(String watchInfo) {
        this.watchInfo = watchInfo;
    }

    public String getPunchInfo() {
        return punchInfo;
    }

    public void setPunchInfo(String punchInfo) {
        this.punchInfo = punchInfo;
    }

    public Integer getPunchMode() {
        return punchMode;
    }

    public void setPunchMode(Integer punchMode) {
        this.punchMode = punchMode;
    }

    public Integer getPunchType() {
        return punchType;
    }

    public void setPunchType(Integer punchType) {
        this.punchType = punchType;
    }

    public Integer getPunchTerminal() {
        return punchTerminal;
    }

    public void setPunchTerminal(Integer punchTerminal) {
        this.punchTerminal = punchTerminal;
    }

    public Integer getDataState() {
        return dataState;
    }

    public void setDataState(Integer dataState) {
        this.dataState = dataState;
    }

    public Date getOperateTime() {
        return operateTime;
    }

    public void setOperateTime(Date operateTime) {
        this.operateTime = operateTime;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public Long getPropertyId() {
        return propertyId;
    }

    public void setPropertyId(Long propertyId) {
        this.propertyId = propertyId;
    }

    public Long getDistrictId() {
        return districtId;
    }

    public void setDistrictId(Long districtId) {
        this.districtId = districtId;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public String getPropertyName() {
        return propertyName;
    }

    public void setPropertyName(String propertyName) {
        this.propertyName = propertyName;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "AttendanceRecord{" +
        "id=" + id +
        ", createId=" + createId +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", userId=" + userId +
        ", userName=" + userName +
        ", userMobile=" + userMobile +
        ", attendanceDate=" + attendanceDate +
        ", punchTime=" + punchTime +
        ", punchAddress=" + punchAddress +
        ", punchPositionAddress=" + punchPositionAddress +
        ", gpsPositionAddress=" + gpsPositionAddress +
        ", watchInfo=" + watchInfo +
        ", punchInfo=" + punchInfo +
        ", punchMode=" + punchMode +
        ", punchType=" + punchType +
        ", punchTerminal=" + punchTerminal +
        ", dataState=" + dataState +
        ", operateTime=" + operateTime +
        ", districtName=" + districtName +
        ", agentId=" + agentId +
        ", propertyId=" + propertyId +
        ", districtId=" + districtId +
        ", agentName=" + agentName +
        ", propertyName=" + propertyName +
        "}";
    }
}
